dash search does not find names with '-' (d-feet, e-mail)

Bug #729025 reported by Martin Pitt on 2011-03-04
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
High
Mikkel Kamstrup Erlandsen
unity-lens-applications
High
Mikkel Kamstrup Erlandsen
unity-lens-files
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned
unity-place-applications (Ubuntu)
High
Unassigned
unity-place-files (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: unity

Dash search does not find installated applications when you type a dash/hypen ('-'). E. g. I have d-feet installed, and the German translations of email is usually "E-Mail". If I search for "feet" or "mail", it finds d-feet and "Evolution E-Mail" respectively, but if I search for "d-f" or "e-m" (or any further letters appended) it doesn't find anything.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.6.0-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
Uname: Linux 2.6.38-5-generic x86_64
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,scale,session,unityshell]
Date: Fri Mar 4 13:06:20 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302)
ProcEnviron:
 LANGUAGE=de_DE:de:en
 PATH=(custom, user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)

Martin Pitt (pitti) wrote :
Changed in unity:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → High
milestone: none → 3.6.2
status: New → Fix Committed
Changed in unity-place-applications:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → High
milestone: none → 0.2.36
status: New → Fix Committed
Changed in unity (Ubuntu):
status: New → Fix Committed
affects: unity (Ubuntu) → unity-place-applications (Ubuntu)
Changed in unity-place-applications (Ubuntu):
importance: Undecided → High
Didier Roche (didrocks) on 2011-03-04
Changed in unity-place-files:
status: New → Fix Committed
Changed in unity-place-files (Ubuntu):
status: New → Fix Committed
Changed in unity-place-files (Ubuntu):
status: Fix Committed → In Progress
Changed in unity:
status: Fix Committed → In Progress
Changed in unity-place-files:
status: Fix Committed → In Progress
Didier Roche (didrocks) on 2011-03-05
Changed in unity:
status: In Progress → Fix Committed
Changed in unity-place-files:
status: In Progress → Fix Committed
Changed in unity-place-files (Ubuntu):
status: In Progress → Fix Committed
Changed in unity-place-files:
milestone: none → 0.5.40
Changed in unity-place-applications:
status: Fix Committed → Fix Released
Changed in unity-place-files:
status: Fix Committed → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-place-applications - 0.2.36-0ubuntu1

---------------
unity-place-applications (0.2.36-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Unintuative Application Matching (LP: #726711)
    - dash search does not find names with '-' (d-feet, e-mail) (LP: #729025)
    - not installed apps sorting in global search (LP: #636996)
    - Speed up searches for Installed apps (LP: #730048)
    - English printf string hard to translate (LP: #641480)
    - Disk Usage Analyzer missing from applications place (LP: #660984)
  * debian/control:
    - bump dee and libunity req. to latest and greatest
 -- Didier Roche <email address hidden> Mon, 07 Mar 2011 19:07:41 +0100

Changed in unity-place-applications (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-place-files - 0.5.40-0ubuntu1

---------------
unity-place-files (0.5.40-0ubuntu1) natty; urgency=low

  * New upstream release.
    - dash search does not find names with '-' (d-feet, e-mail) (LP: #729025)
    - English printf string hard to translate (LP: #641480)
  * debian/control:
    - bump libunity and dee dep
 -- Didier Roche <email address hidden> Mon, 07 Mar 2011 19:07:53 +0100

Changed in unity-place-files (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers